## simplescreenrecorder 0.3.6

=== debian/changelog ===
simplescreenrecorder (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #782804, #722249)

  [ Olivier Humbert ]
  * Changed to use ffmpeg instead of libav.
  * debian/patches/1001-build-failure-fix.patch:
    - added following Sebastinas suggestion on #debian-multimedia@oftc.
    - patch has been included upstream.
  * debian/changelog :
    - translate the French parts of the past entries to English.
  * debian/libsimplescreenrecorder.install
    - remove this file to fit everything in only one package. See
      https://github.com/MaartenBaert/ssr/issues/464 .
  * debian/simplescreenrecorder.install :
    - removing this file - not needed anymore.
  * debian/simplescreenrecorder.triggers :
    - added to fix the "package-must-activate-ldconfig-trigger" error
      reported by Lintian, following this recommendation:
      https://lintian.debian.org/tags/package-must-activate-ldconfig-trigger.html.
  * debian/control :
    - change the Maintainer field to the debian-multimedia team.
    - remove package creation for libsimplescreenrecorder.
    - remove the "Recommends: libsimplescreenrecorder (= ${binary:Version})"
      since it doesn't exist anymore as an external package but is incorporated
      to the simplescreenrecorder's one.
    - remove Jof Thibault since he didn't upload to debian's official repo.
  * debian/sources/lintian-overrides :
    - adding this file to relax lintian output's 2 warnings.
  * debian/rules :
    - remove the "--disable-ffmpeg-versions" configure option.
    - removing the *.la files.

  [ Petter Reinholdtsen ]
  * debian/copyright :
    - Adjusted based on feedback from 'debmake -k'.
  * debian/rules :
    - Made sure .la files are removed after they are installed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Nov 2016 06:57:25 +0000

simplescreenrecorder (0.3.6-0librazik3) jessie; urgency=medium

  * Rebuilding with pbuilder for LibraZiK.
    - package improvements.
  * debian/control :
    - description field for "libsimplescreenrecorder" : mention to pulseausio
      and OSS.
    - standards-version : 3.9.6 -> 3.9.8 .
  * debian/copyright :
    - add licenses for some files.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 27 May 2016 01:36:11 +0200

simplescreenrecorder (0.3.6-0librazik2) jessie; urgency=medium

  * Merge with https://github.com/glaubitz/simplescreenrecorder-debian.
    -> to add when debianization : * Initial release (Closes: #722249).
  * debian/docs :
    - using the glaubitz' one.
  * debian/copyright :
    - update of Marteen's copyright (+2015+2016).
    - adding John Paul Adrian Glaubitz.
    - changes of the "Format:" et "Source:" links.
  * debian/control :
    - merging Build-depends with the ones from glaubitz.
    - "Standards-Version" -> 3.9.4 -> 3.9.6 .
    - commenting out the Vcs fields.
    - merging descriptions with glaubitz' ones.
  * debian/README.source :
    - copying this file from glaubitz.
  * debian/rules :
    - merge with glaubitz' one.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 24 May 2016 21:20:02 +0200

simplescreenrecorder (0.3.6-0librazik1) jessie; urgency=medium

  * New upstream version.
    - test to prepare to enter debian repo.
  * Rebuild with pbuilder for LibraZiK.
    - new upstream release.
  * debian/control :
    - changing links to LibraZiK documentation in the "description" fields.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 24 May 2016 15:21:36 +0200

simplescreenrecorder (0.3.3+20150916~GITe25d6eda0e2-0librazik2) jessie; urgency=medium

  * Rebuild with pbuilder for LibraZiK.
    - rebuild in 32 and 64 bits.
  * debian/control :
    - 2015 -> 2016.
  * debian/copyright :
    - adding 2016 next to my name.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Thu, 17 Mar 2016 00:51:54 +0100

simplescreenrecorder (0.3.3+20150916~GITe25d6eda0e2-0librazik1) jessie; urgency=low

  * Rebuild with pbuilder for LibraZiK.
  * Removing files (included upstream) :
    - debian/patches/series
    - debian/patches/1010-desktop_file_l10n-FR.patch
  * debian/control :
    - fixing link address to LibraZiK online documentation.
    - changes to the build-depends :
      + changes from libjack-dev to libjack-jackd2-dev.
      + adds pkg-config and autotools-dev.
  * debian/watch :
    - file created.
  * debian/rules :
    - adds "--with autotools-dev".

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 16 Sep 2015 21:02:46 +0200

simplescreenrecorder (0.3.3+GITe2e9336451-0librazik1) jessie; urgency=low

  * New upstream release:
    - v0.3.2:
      + Added Qt5 support (optional, Qt4 is still the default)
      + Added YUV422, YUV444 and RGB support (YUV420 is still the default)
      + Added pixelformat and sampleformat codec options.
      + Added benchmark.
      + Improved RTL support.
      + Bugfixes
    - v0.3.3:
      + Fixed mistake in configure.ac that was causing libssr-glinject.so to
        be linked with unwanted libraries.
    - Other adds since v0.3.3:
      + Add French, Swedish and Traditional Chinese translations.
      + Use pkg-config to find FFmpeg libraries.
      + Don't hold the lock while changing JACK connections.
      + Add man pages.
      + Add Keywords line to desktop file.
      + Don't refer to Qt 4 in about box (Qt 5 is supported too).
      + Fix --disable-x86-asm option.
  * Rebuild with pbuilder for LibraZiK (based on Debian Jessie).
  * debian/copyright:
    - add myself to the debian packaging copyright section.
    - rewrite this file to improve the machine-readable criteria.
  * debian/control:
    - check if the Homepage link is still valid. OK.
    - add mention to the LibraZiK project in "Description".
    - lists' style - one item per line.
    - update "Maintainer" and "Uploaders" Re: "debian-policy 5.6.2 and 5.6.3".
    - add "libpulse-dev" as a build dependency.
  * debian/patches/series:
    - add "desktop_file_l10n-FR.patch" (with dquilt).
  * debian/patches/desktop_file_l10n-FR.patch:

