=== debian/control ===
Source: simplescreenrecorder
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libgl1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libglu1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libjack-dev | libjack-jackd2-dev,
 liboss4-salsa-dev [!linux-any],
 libpulse-dev,
 libqt4-dev,
 libswscale-dev,
 libx11-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://www.maartenbaert.be/simplescreenrecorder/
#Vcs-Git: git://github.com/MaartenBaert/ssr.git
#Vcs-Browser: https://github.com/MaartenBaert/ssr

Package: simplescreenrecorder
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Feature-rich screen recorder for X11 and OpenGL
 Simple Screen Recorder is, despite its name, an actually feature-rich screen
 recorder. The name reflects the fact that it is simple to use unlike many
 other free screen recording applications available. It can be easily
 configured to start recording from an intuitive wizard-like interface.
 .
 It can record the entire screen or part of it directly.  The recording can be
 paused and resumed at any time. Many different file formats and codecs are
 supported. To perform an X11 recording, all it takes is selecting an area on
 the root window with the mouse, choosing an output file and pressing record,
 either by using the mouse or using a hotkey.
 .
 It has a Qt-based graphical user interface.
 .
 Its complexity becomes apparent in its powerful features. It allows one
 to record X11 screen areas and fullscreen OpenGL applications including sound
 supporting both ALSA, PulseAudio, JACK and OSS. It uses libavformat to encode
 the recorded material into a variety of video formats. Scaling the recorded
 video is possible as well as configuring the encoding quality for the codec
 chosen directly from the user interface.
 .
 This package contains the main program.
