## simplescreenrecorder 0.3.8

=== debian/changelog ===
simplescreenrecorder (0.3.8-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper 10 and dh-autoreconf.
  * Switch to Qt5. (Closes: #875192)
    Thanks to Gregor Herrmann for the patch.

  * debian/control:
    - Use canonical Vcs-Git URL.
    - Bump standards version to 4.1.1 (no changes).
  * debian/patches/01-private-glinject.patch:
    - Install libssr-ginject.so in a private lib directory.
  * debian/rules:
    - Don't export build flags manually in debian/rules.
    - Use DEB_HOST_ARCH_CPU and any-amd64/any-i386 for adding non-x86
      options. (Closes: #848556, #870514)
  * debian/source/lintian-overrides:
    - Remove unused lintian overrides.

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Nov 2017 12:12:17 +0000

simplescreenrecorder (0.3.8-2) unstable; urgency=low

  * Team upload.

  * Changed to use --disable-x86-asm on non-x86 architectures (Closes: #845108).
    Patch from John Paul Adrian Glaubitz.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Dec 2016 09:03:07 +0000

simplescreenrecorder (0.3.8-1) unstable; urgency=low

  * Team upload.

  [ Petter Reinholdtsen ]
  * Updated to upstream version 0.3.8.
  * Removed 1001-build-failure-fix.patch now included upstream.
  * Documented team maintained git repo in Vcs fields in d/control.
  * Added d/gbp.conf to enforce use of pristine-tar.
  * Added myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Dec 2016 17:35:55 +0000
