=== debian/control ===
--- 
+++ 
@@ -4,29 +4,31 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
+ , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 10),
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libgl1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
- libglu1-mesa-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
+ libgl1-mesa-dev [any-amd64 any-i386],
+ libglu1-mesa-dev [any-amd64 any-i386],
  libjack-dev | libjack-jackd2-dev,
  liboss4-salsa-dev [!linux-any],
  libpulse-dev,
- libqt4-dev,
+ libqt5x11extras5-dev,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libswscale-dev,
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  libxi-dev,
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
-#Vcs-Git: git://github.com/MaartenBaert/ssr.git
-#Vcs-Browser: https://github.com/MaartenBaert/ssr
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/simplescreenrecorder.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/simplescreenrecorder.git/
 
 Package: simplescreenrecorder
 Architecture: any
