## simplescreenrecorder 0.3.10

=== debian/changelog ===
simplescreenrecorder (0.3.10-3) unstable; urgency=medium

  * Correct cmake flag to disable glinject on non-x86 archs.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2018 20:14:05 +0100

simplescreenrecorder (0.3.10-2) unstable; urgency=medium

  * Added cmake as build dependency.
  * Added 02-appstream-metadata-path.patch to use new path for appstream metadata.
  * Removed no longer needed dh_auto_install override in d/rules.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2018 17:33:43 +0100

simplescreenrecorder (0.3.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Petter Reinholdtsen ]
  * New upstream version 0.3.10
    - Adjusted d/rules for new cmake build system.
    - Removed 02-qt5_includes.patch, which seem to be no longer needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2018 15:22:29 +0100
