=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
  debhelper (>= 10),
+ cmake,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
@@ -27,8 +28,8 @@
  pkg-config
 Standards-Version: 4.1.1
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/simplescreenrecorder.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/simplescreenrecorder.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/simplescreenrecorder
 
 Package: simplescreenrecorder
 Architecture: any
