=== debian/rules ===
--- 
+++ 
@@ -18,17 +18,11 @@
 override_dh_auto_configure:
 ifneq ($(filter $(DEB_HOST_ARCH_CPU), amd64 i386),)
 	dh_auto_configure -- \
-		--disable-assert \
-		--libdir=/usr/lib/simplescreenrecorder \
-		--with-qt5
+		-DCMAKE_INSTALL_LIBDIR=/usr/lib/simplescreenrecorder \
+		-DWITH_QT5=TRUE
 else
 	dh_auto_configure -- \
-		--disable-x86-asm \
-		--disable-assert \
-		--disable-glinjectlib \
-		--with-qt5
+		-DENABLE_X86_ASM=FALSE \
+		-DWITH_GLINJECT=FALSE \
+		-DWITH_QT5=TRUE
 endif
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -f $(CURDIR)/debian/simplescreenrecorder/usr/lib/*/*.la
