## simplescreenrecorder 0.3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_CXX_STANDARD 11)
 
-project(simplescreenrecorder VERSION 0.3.10)
+project(simplescreenrecorder VERSION 0.3.11)
 
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|amd64|i386|i686")
 	set(PROCESSOR_IS_X86 TRUE)
@@ -24,6 +24,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
+include(FeatureSummary)
 include(GNUInstallDirs)
 
 # try to guess the correct 32-bit library path on 64-bit systems
@@ -105,3 +106,5 @@
 	)
 
 endif()
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
