=== debian/changelog ===
simplescreenrecorder (0.3.11-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream version 0.3.11.
    - Fixes FTBFS with FFmpeg 4.0. (Closes: #888347)

  * d/copyright: Remove unused "build-aux/install-sh" paragraph.
  * d/control: Make build-dependency on qt >= 5.7 explicit.
  * d/patches: Refresh.
  * d/simplescreenrecorder.triggers: Remove useless trigger activation.

  [ Petter Reinholdtsen ]
  * Adjusted source URL to upstream home page.
  * Adjusted d/rules based on the upstream deb package.
  * Updated Standards-Version from 4.1.1 to 4.1.3.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- James Cowgill <jcowgill@debian.org>  Sun, 17 Jun 2018 12:52:19 +0100
