=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
@@ -17,16 +17,16 @@
  libjack-dev | libjack-jackd2-dev,
  liboss4-salsa-dev [!linux-any],
  libpulse-dev,
- libqt5x11extras5-dev,
- qtbase5-dev,
- qttools5-dev-tools,
+ libqt5x11extras5-dev (>= 5.7),
+ qtbase5-dev (>= 5.7),
+ qttools5-dev-tools (>= 5.7),
  libswscale-dev,
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  libxi-dev,
  pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/simplescreenrecorder
