## simplescreenrecorder 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_CXX_STANDARD 11)
 
-project(simplescreenrecorder VERSION 0.3.11)
+project(simplescreenrecorder VERSION 0.4.1)
 
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|amd64|i386|i686")
 	set(PROCESSOR_IS_X86 TRUE)
@@ -86,8 +86,8 @@
 		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications
 	)
 	install(
-		FILES data/simplescreenrecorder.appdata.xml
-		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/appdata
+		FILES data/simplescreenrecorder.metainfo.xml
+		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/metainfo
 	)
 
 	# icons
