=== debian/changelog ===
simplescreenrecorder (0.4.1-0.1~mx19+1) mx; urgency=medium

  * New upstream version 0.4.1:
    - Added warning for Wayland users.
    - Internal error messages from FFmpeg and other libraries are now shown in
      the log window.
    - Fixed blocked continue button after selecting a window.
    (with version 0.4.0)
    - Added high-DPI monitor support.
    - Added option to skip the welcome screen.
    - Increased maximum video size to 20000x20000.
    - Added more command-line options.
    - Added recording schedule.
    - Add command-line control over stdin.
    - Many bugfixes.

  * debian/patches:
    - Drop 02-appstream-metadata-path.patch, fixed upstream.
    - Refresh 01-private-glinject.patch.
  * Add "--buildsystem=cmake" to rules to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 May 2020 14:17:47 -0700
