=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
  debhelper (>= 10),
- cmake,
+ cmake (>= 3.1),
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
@@ -25,6 +26,7 @@
  libxext-dev,
  libxfixes-dev,
  libxi-dev,
+ libxinerama-dev,
  pkg-config
 Standards-Version: 4.1.3
 Homepage: http://www.maartenbaert.be/simplescreenrecorder/
