=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND := -fPIC
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 # * glinjectlib is disabled on non-x86 systems as it requires the
 #   x86-only elfhacks code (see README.source)
@@ -29,3 +29,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A CHANGELOG.md
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
