=== src/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,8 @@
 	AV/SimpleSynth.h
 	AV/SourceSink.cpp
 	AV/SourceSink.h
+	common/CommandLineOptions.cpp
+	common/CommandLineOptions.h
 	common/CPUFeatures.cpp
 	common/CPUFeatures.h
 	common/Dialogs.cpp
@@ -89,6 +91,8 @@
 	GUI/AudioPreviewer.h
 	GUI/DialogGLInject.cpp
 	GUI/DialogGLInject.h
+	GUI/DialogRecordSchedule.cpp
+	GUI/DialogRecordSchedule.h
 	GUI/ElidedLabel.cpp
 	GUI/ElidedLabel.h
 	GUI/HiddenScrollArea.cpp
@@ -113,11 +117,12 @@
 	GUI/ProfileBox.h
 	GUI/VideoPreviewer.cpp
 	GUI/VideoPreviewer.h
+	GUI/WidgetRack.cpp
+	GUI/WidgetRack.h
 	Benchmark.cpp
 	Benchmark.h
 	Global.h
 	Main.cpp
-	Main.h
 	NVidia.cpp
 	NVidia.h
 )
@@ -175,6 +180,7 @@
 	${X11_Xext_INCLUDE_PATH}
 	${X11_Xfixes_INCLUDE_PATH}
 	${X11_Xi_INCLUDE_PATH}
+	${X11_Xinerama_INCLUDE_PATH}
 	$<$<BOOL:${WITH_ALSA}>:${ALSA_INCLUDE_DIRS}>
 	$<$<BOOL:${WITH_PULSEAUDIO}>:${PULSEAUDIO_INCLUDE_DIRS}>
 	$<$<BOOL:${WITH_JACK}>:${JACK_INCLUDE_DIRS}>
@@ -194,6 +200,7 @@
 	${X11_Xext_LIB}
 	${X11_Xfixes_LIB}
 	${X11_Xi_LIB}
+	${X11_Xinerama_LIB}
 	$<$<BOOL:${WITH_ALSA}>:${ALSA_LIBRARIES}>
 	$<$<BOOL:${WITH_PULSEAUDIO}>:${PULSEAUDIO_LIBRARIES}>
 	$<$<BOOL:${WITH_JACK}>:${JACK_LIBRARIES}>
