=== src/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 # translations for 'simplescreenrecorder' executable
 
-find_program(LRELEASE lrelease)
+if(WITH_QT5)
+	find_program(LRELEASE NAMES lrelease-qt5 lrelease)
+else()
+	find_program(LRELEASE NAMES lrelease-qt4 lrelease)
+endif()
 
 if(LRELEASE)
 
@@ -12,6 +16,7 @@
 		el
 		es
 		fr
+		gl
 		he
 		hu
 		id
@@ -22,6 +27,7 @@
 		pl
 		pt_BR
 		ru
+		sr
 		sv
 		uk
 		zh_CN
