=== debian/changelog ===
simplescreenrecorder (0.4.2-2) unstable; urgency=medium

  * Team upload

  [ Barak A. Pearlmutter ]
  * Merge in Ubuntu PPA features from
    https://launchpad.net/~maarten-baert/+archive/ubuntu/simplescreenrecorder
    In particular, break out simplescreenrecorder-lib containing
    libssr-glinject.so in arch-specific subdir, so the i386 lib can be
    installed on an amd64 system, allowing 32-bit process injection.

  [ Sebastian Ramacher ]
  * debian/patches: Refresh patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Sep 2020 18:08:46 +0200

simplescreenrecorder (0.4.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.3.10-2, 0.3.6-1.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Barak A. Pearlmutter ]
  * New upstream version
  * Forward port patches (install path patch has been upstreamed)
  * Bump debhelper from old 12 to 13.
  * Enable hardened build
  * Bump policy version, no changes required.

  [Ondřej Nový]
  * Use debhelper-compat instead of debian/compat.

  [Olivier Humbert]
  * d/control: http->https + remove one empty line.
  * d/watch: remove one unneeded empty line

  [ Sebastian Ramacher ]
  * debian/copyright: Document data/simplescreenrecorder.metainfo.xml
  * debian/control: Add libxinerama-dev to BD

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Aug 2020 16:15:03 +0200
