=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
- debhelper (>= 10),
- cmake (>= 3.1),
+ debhelper-compat (= 13),
+ cmake,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
@@ -28,8 +27,9 @@
  libxi-dev,
  libxinerama-dev,
  pkg-config
-Standards-Version: 4.1.3
-Homepage: http://www.maartenbaert.be/simplescreenrecorder/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/simplescreenrecorder
 
@@ -37,7 +37,8 @@
 Architecture: any
 Depends:
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ simplescreenrecorder-lib [any-amd64 any-i386]
 Description: Feature-rich screen recorder for X11 and OpenGL
  Simple Screen Recorder is, despite its name, an actually feature-rich screen
  recorder. The name reflects the fact that it is simple to use unlike many
@@ -60,3 +61,17 @@
  chosen directly from the user interface.
  .
  This package contains the main program.
+
+Package: simplescreenrecorder-lib
+Architecture: any-i386 any-amd64
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: feature-rich screen recorder that supports X11 and OpenGL - GLInject library
+ SimpleScreenRecorder is a feature-rich screen recorder that supports X11 and
+ OpenGL. It has a Qt-based graphical user interface. It can record the entire
+ screen or part of it, or record OpenGL applications directly. The recording
+ can be paused and resumed at any time. Many different file formats and codecs
+ are supported.
+ .
+ This package contains the GLInject library.
