## simplescreenrecorder 0.4.3

=== debian/changelog ===
simplescreenrecorder (0.4.3-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 00:07:16 -0400

simplescreenrecorder (0.4.3-2) unstable; urgency=medium

  * Added qttools5-dev as build depend to fix build problem.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 Sep 2021 17:57:30 +0200

simplescreenrecorder (0.4.3-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Update watch file format version to 4.
  * New upstream version.
    - needs libv4l-dev
  * Bump policy version, no changes required.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 4.5.1 to 4.6.0.
  * Added d/patches/README suggesting numbering scheme.
  * Improved appstream metadata based on appstream generator feedback

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 09 Sep 2021 22:59:16 +0200
