=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
@@ -19,6 +20,7 @@
  libpulse-dev,
  libqt5x11extras5-dev (>= 5.7),
  qtbase5-dev (>= 5.7),
+ qttools5-dev (>= 5.7),
  qttools5-dev-tools (>= 5.7),
  libswscale-dev,
  libx11-dev,
@@ -26,8 +28,9 @@
  libxfixes-dev,
  libxi-dev,
  libxinerama-dev,
+ libv4l-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
