## simplescreenrecorder 0.4.4

=== debian/changelog ===
simplescreenrecorder (0.4.4-6) unstable; urgency=medium

  * Added 1020-ffmpeg-7.patch to fix more ffmpeg 7 build
    issues (Closes: #1072451).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Aug 2024 23:14:21 +0200

simplescreenrecorder (0.4.4-5) unstable; urgency=medium

  * Simplified debian patches for adjusting appstream metadata.
  * Added new 0020-ffmpeg-7.patch to prepare for ffmpeg 7.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 May 2024 15:50:11 +0200

simplescreenrecorder (0.4.4-4) unstable; urgency=medium

  * Reordered patches according to classfication in README.
  * Fixed typo in 1020-appstream-metadata-category.patch.
  * Extended build rule to validate appstream metadata during build.
  * Renamed build dependencies libgl1-mesa-dev->libgl-dev and
    pkg-config->pkgconf on lintians request.
  * Added 0010-plthook.patch from upstream to fix segfault in libssr-glinject.so
    (Closes: #1040375).
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Extended Appstream validator step and fix all issues reported.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 May 2024 16:20:28 +0200

simplescreenrecorder (0.4.4-3) unstable; urgency=medium

  * Flagged 2000-appstream-metadata-https.patch as forwarded.
  * Added 2010-appstream-metadata-category.patch to include categories
    in appstream metadata.
  * Renamed 01-private-glinject.patch to 1000-private-glinject.patch,
    seem Debian only.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 Feb 2023 09:28:40 +0100

simplescreenrecorder (0.4.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 4.6.0 to 4.6.2.
  * Updated 2000-appstream-metadata-https.patch, adding rating and
    launcable info.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Feb 2023 08:22:02 +0100

simplescreenrecorder (0.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.4.4
  * debian/patches:
    - Refresh patches
    - Fix build with ffmpeg 5.0 (Closes: #1004627)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 19:03:23 +0200
