=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: simplescreenrecorder
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>
  , Petter Reinholdtsen <pere@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ appstream,
  cmake,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libgl1-mesa-dev [any-amd64 any-i386],
+ libgl-dev [any-amd64 any-i386],
  libglu1-mesa-dev [any-amd64 any-i386],
  libjack-dev | libjack-jackd2-dev,
  liboss4-salsa-dev [!linux-any],
  libpulse-dev,
- libqt5x11extras5-dev (>= 5.7),
- qtbase5-dev (>= 5.7),
- qttools5-dev (>= 5.7),
- qttools5-dev-tools (>= 5.7),
+ libqt5x11extras5-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libswscale-dev,
  libx11-dev,
  libxext-dev,
@@ -29,8 +29,8 @@
  libxi-dev,
  libxinerama-dev,
  libv4l-dev,
- pkg-config
-Standards-Version: 4.6.0
+ pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.maartenbaert.be/simplescreenrecorder/
 Vcs-Git: https://salsa.debian.org/multimedia-team/simplescreenrecorder.git
