=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 # * glinjectlib is disabled on non-x86 systems as it requires the
 #   x86-only elfhacks code (see README.source)
@@ -28,3 +25,6 @@
 		-DWITH_GLINJECT=FALSE \
 		-DWITH_QT5=TRUE
 endif
+
+execute_after_dh_auto_install:
+	appstreamcli validate-tree --no-net debian/tmp
