=== debian/watch ===
version=4
https://github.com/MaartenBaert/ssr/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
